import ollama
import sys
import os


def analyze_image(image_path):
    if not os.path.isfile(image_path):
        raise ValueError(f"Image path '{image_path}' is not a valid file.")

    res = ollama.chat(
        model="screenshot",
        messages=[
            {
                'role': 'user',
                'content': 'Please give me the filename for the image. Do not comment. '
                           'Do not share any other context. Just the filename. '
                           'Remove any single quote or double quotes from the filename. You can do it!',
                'images': [image_path]
            }
        ]
    )
    return res['message']['content']


if __name__ == "__main__":
    screenshot_path = sys.argv[1]
    description = analyze_image(screenshot_path)
    print(description)
