# Read the user input for the output format
output_format=$1
shift

export PYTHONWARNINGS="ignore::UserWarning"

# Get the selected audio file (only one file should be present)
audio_file="$1"

# Determine the output directory and output file name
output_dir=$(dirname "$audio_file")
output_file="$output_dir/$(basename "$audio_file" .${audio_file##*.}).${output_format}"

# Construct the AppleScript command
apple_script='tell application "iTerm"
    activate
    try
        set currentWindow to (first window whose index is 1)
    on error
        create window with default profile
        set currentWindow to (first window whose index is 1)
    end try
    tell current session of currentWindow
        write text "whisper \"'$audio_file'\" --output_dir \"'$output_dir'\" --output_format '$output_format' && open \"'$output_file'\""
    end tell
end tell'

# Execute the constructed AppleScript
osascript -e "$apple_script"